Package org.eclipse.handly.xtext.ui.quickoutline

# Class HandlyXtextOutlinePopupHandler

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.core.commands.AbstractHandler
org.eclipse.handly.ui.quickoutline.OutlinePopupHandler
org.eclipse.handly.xtext.ui.quickoutline.HandlyXtextOutlinePopupHandler

All Implemented Interfaces:
  `org.eclipse.core.commands.IHandler`, `org.eclipse.core.commands.IHandler2`

public class HandlyXtextOutlinePopupHandler extends OutlinePopupHandler
A simple handler that opens Handly-based outline popup for Xtext editor.

Note that this class relies on the injected `Provider<OulinePopup>` for creating instances of the language-specific implementation of `OutlinePopup`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HandlyXtextOutlinePopupHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected OutlinePopup`
  `createOutlinePopup()`
  Creates a new instance of the outline popup.

  ### Methods inherited from class org.eclipse.handly.ui.quickoutline.OutlinePopupHandler

  `execute, getInvokingKeyStroke, getOutlinePopupHost`

  ### Methods inherited from class org.eclipse.core.commands.AbstractHandler

  `addHandlerListener, dispose, fireHandlerChanged, hasListeners, isEnabled, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

  ### Methods inherited from class org.eclipse.core.commands.common.EventManager

  `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.eclipse.core.commands.IHandler

  `getHandlerLabel`

- ## Constructor Details

  - ### HandlyXtextOutlinePopupHandler

    public HandlyXtextOutlinePopupHandler()

- ## Method Details

  - ### createOutlinePopup

    protected OutlinePopup createOutlinePopup()
    Description copied from class: `OutlinePopupHandler`
    Creates a new instance of the outline popup.
    Specified by:
      `createOutlinePopup` in class `OutlinePopupHandler`
    Returns:
      the created oultine popup (not `null`)